_lcvprestaconnector_cron:
  path: lcvprestaconnector/cron
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\CronAdminController::cronAction
    _anonymous_controller: true

_lcvprestaconnector_oidc:
  path: lcvprestaconnector/oidc
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\OidcAdminController::oidcAction
    _anonymous_controller: true

lcvprestaconnector_configuration:
  path: lcvprestaconnector/configuration/information
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::informationAction

lcvprestaconnector_set_sync_mode:
  path: lcvprestaconnector/set/configuration/sync/mode
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::setSyncModeAction

lcvprestaconnector_stocks:
  path: lcvprestaconnector/configuration/stocks
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::stocksAction

lcvprestaconnector_catalogue:
  path: lcvprestaconnector/configuration/catalogue
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::catalogueAction

lcvprestaconnector_map_category:
  path: lcvprestaconnector/configuration/mapping/categorie
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mappingCategoryAction

lcvprestaconnector_map_typed_category:
  path: lcvprestaconnector/configuration/mapping/categorie/{type}
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mappingCategoryAction

lcvprestaconnector_map_manufacturer:
  path: lcvprestaconnector/configuration/mapping/manufacturer
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mappingManufacturerAction    

lcvprestaconnector_map_size_grid:
  path: lcvprestaconnector/configuration/mapping/grid
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mapSizeGridAction

lcvprestaconnector_map_shade:
  path: lcvprestaconnector/configuration/mapping/colormap
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mappingShadeAction

lcvprestaconnector_map_discounts:
  path: lcvprestaconnector/configuration/mapping/discounts
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mappingDiscountsAction

lcvprestaconnector_map_stores:
  path: lcvprestaconnector/configuration/mapping/stores
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MappageAdminController::mappingStoresAction


lcvprestaconnector_changelog:
  path: lcvprestaconnector/configuration/changelog
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::changelogDisplayAction

lcvprestaconnector_audit:
  path: lcvprestaconnector/configuration/audit
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::auditAction

lcvprestaconnector_pullenv:
  path: lcvprestaconnector/configuration/pullenv
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::pullenvAjaxAction

lcvprestaconnector_commande:
  path: lcvprestaconnector/configuration/commande
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::commandeAction

lcvprestaconnector_advanced_options:
  path: lcvprestaconnector/configuration/advanced_options
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::advancedMenuAction

lcvprestaconnector_meta_categories:    
  path: lcvprestaconnector/configuration/advanced_options/meta_categories
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\MetaCategoriesAdminController::indexAction

lcvprestaconnector_products_mapping:
  path: lcvprestaconnector/configuration/advanced_options/products_mappings
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ProductsMappingsAdminController::indexAction

lcvprestaconnector_vat_report:
  path: lcvprestaconnector/vat_report
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\VatReportAdminController::indexAction

lcvprestaconnector_products_mappings_update:
    path: lcvprestaconnector/configuration/advanced_options/products_mappings/update
    methods: [POST]
    defaults:
        _controller: 'PrestaShop\Module\LCVPrestaConnector\Controller\ProductsMappingsAdminController::updateAjaxAction'

lcvprestaconnector_connect:
  path: lcvprestaconnector/connect
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::connectToApiAjaxAction

lcvprestaconnector_sync_progress:
  path: lcvprestaconnector/syncprogress
  methods: [GET]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::getSyncProgressAjaxAction

lcvprestaconnector_export_order:
  path: lcvprestaconnector/export_order
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::exportOrderAjaxAction

lcvprestaconnector_sync_product:
  path: lcvprestaconnector/sync_product
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::syncProductAjaxAction

lcvprestaconnector_lock_product:
  path: lcvprestaconnector/lock_product
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::lockProductAjaxAction


lcvprestaconnector_resync_all:
  path: lcvprestaconnector/resync_all
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAjaxAdminController::syncResyncAction    

lcvprestaconnector_login:
  path: lcvprestaconnector/login
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\ConfigurationAdminController::LoginAction

lcvprestaconnector_redirections:
  path: lcvprestaconnector/configuration/advanced_options/redirections
  methods: [GET, POST]
  defaults:
    _controller: PrestaShop\Module\LCVPrestaConnector\Controller\RedirectionsAdminController::redirectionsAction
